Summary: PIM Storage Service
Name:    akonadi
Version: 0.80.0
Release: 1%{?dist}

Group:   System Environment/Libraries
License: LGPLv2+
URL:     http://pim.kde.org/akonadi/
Source0: http://download.kde.org/unstable/4.0.71/support/akonadi-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires: cmake
BuildRequires: qt4-devel >= 4.4
BuildRequires: mysql-devel
# for xsltproc
BuildRequires: libxslt
BuildRequires: shared-mime-info

%description
%{summary}.

%package devel
Summary: Developer files for %{name}
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: qt4-devel pkgconfig
%description devel
%{summary}.

%prep
%setup -q

%build
%cmake . -DCONFIG_INSTALL_DIR=%{_sysconfdir}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%defattr(-,root,root,-)
%doc AUTHORS lgpl-license
%dir %{_sysconfdir}/akonadi/
%config(noreplace) %{_sysconfdir}/akonadi/mysql-global.conf
%{_bindir}/akonadi_control
%{_bindir}/akonadictl
%{_bindir}/akonadiserver
%{_libdir}/libakonadi*.so.*
# own this completely for now, see #334681)
%{_datadir}/dbus-1/interfaces/
#%{_datadir}/dbus-1/interfaces/org.kde.Akonadi.*.xml
%{_datadir}/dbus-1/services/org.kde.Akonadi.Control.service
%{_datadir}/mime/packages/akonadi-mime.xml

%files devel
%defattr(-,root,root,-)
%{_includedir}/akonadi/
%{_libdir}/libakonadi*.so

%changelog
* Sat May  3 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.80.0-1
- first Fedora package
